Public Class ConfiguracionEvaluacionBusinessObject
    Inherits BusinessObject(Of ConfiguracionEvaluacion)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New ConfiguracionEvaluacionDbHelper
    End Sub

    Public Sub New(ByVal entity As ConfiguracionEvaluacion)
        MyBase.New(entity)
        DbHelper = New ConfiguracionEvaluacionDbHelper
    End Sub

    Public Sub New(ByVal idConfiguracionEvaluacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idConfiguracionEvaluacion = idConfiguracionEvaluacion
        Dim Entity_Aux As ConfiguracionEvaluacion = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As ConfiguracionEvaluacionBusinessObject
    Protected Shared Function GetDdHelperInstance() As ConfiguracionEvaluacionDbHelper
        If _Instance Is Nothing Then
            _Instance = New ConfiguracionEvaluacionBusinessObject
        End If
    Return CType(_Instance.DbHelper, ConfiguracionEvaluacionDbHelper)
    End Function

    Public Shared Function GetListConfiguracionEvaluacion(Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionEvaluacion)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListConfiguracionEvaluacionByFactor(ByVal idFactor as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionEvaluacion)
        Return GetDdHelperInstance.GetListConfiguracionEvaluacionByFactor(idFactor, foreignLevel)
    End Function

    Public Shared Function GetListConfiguracionEvaluacionByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionEvaluacion)
        Return GetDdHelperInstance.GetListConfiguracionEvaluacionByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
